Change which tools a connected integration exposes
curl --request PATCH \
--url https://api.devic.ai/v1/integrations/servers/{id}/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enable": [
"<string>"
],
"disable": [
"<string>"
],
"all": true
}
'import requests
url = "https://api.devic.ai/v1/integrations/servers/{id}/tools"
payload = {
"enable": ["<string>"],
"disable": ["<string>"],
"all": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enable: ['<string>'], disable: ['<string>'], all: true})
};
fetch('https://api.devic.ai/v1/integrations/servers/{id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Integrations
Change which tools a connected integration exposes
Enable or disable specific tools, or expose them all. Only the tool selection changes — the connected account is untouched.
PATCH
/
v1
/
integrations
/
servers
/
{id}
/
tools
Change which tools a connected integration exposes
Authorizations
Use JWT token for authentication
Path Parameters
Integration id
Body
application/json
Response
Updated exposed tools
⌘I